import request from '@/utils/request'

// 查询积分订单列表
export function listIntegralOrder(query) {
  return request({
    url: '/system/IntegralOrder/list',
    method: 'get',
    params: query
  })
}

// 查询积分订单详细
export function getIntegralOrder(id) {
  return request({
    url: '/system/IntegralOrder/' + id,
    method: 'get'
  })
}

// 新增积分订单
export function addIntegralOrder(data) {
  return request({
    url: '/system/IntegralOrder',
    method: 'post',
    data: data
  })
}

// 修改积分订单
export function updateIntegralOrder(data) {
  return request({
    url: '/system/IntegralOrder',
    method: 'put',
    data: data
  })
}

// 删除积分订单
export function delIntegralOrder(id) {
  return request({
    url: '/system/IntegralOrder/' + id,
    method: 'delete'
  })
}
